void drawGUI(){
   currCameraMatrix = new PMatrix3D(g3.camera);
   camera();
   controlP5.draw();
   g3.camera = currCameraMatrix; 
   fill(0);
}

void setupGUI()
{
   fill(0);
   controlP5 = new ControlP5(this);
   controlP5.setFont(font1);
   controlP5.setColorForeground(0x66666666);
  controlP5.setColorBackground(0x11111111);
  controlP5.setColorLabel(0x00000000);
  controlP5.setColorValue(0x33333333);
  controlP5.setColorActive(0x99999999);

    
   controlP5.addSlider("Circle Depth", 
                       1,
                       7,
                       1,
                       p5Margin,
                       p5Margin + p5Distance,
                       buttonWidth,
                       buttonHeight);
  controlP5.addToggle("Text" , 
                       p5Margin, 
                       p5Margin + 5*p5Distance, 
                       buttonWidth, 
                       buttonHeight);
   controlP5.addToggle("Grid Lines" , 
                       p5Margin, 
                       p5Margin + 13*p5Distance, 
                       buttonWidth, 
                       buttonHeight);
   controlP5.setAutoDraw(false);
}

void controlEvent(ControlEvent theEvent)
{
   if(theEvent.isController())
  {
   if(theEvent.controller().name() == "Grid Lines")
   {
      outline = !outline;  
   }
   if(theEvent.controller().name() == "Circle Depth")
   {
     circleSpace = int (theEvent.controller().value());
   }
   if(theEvent.controller().name() == "Text")
   {
      text_bool = !text_bool; 
   }
   
  } 
}
